# spec file for package nodejs-nodejs-realize-package-specifier

%global npmname realize-package-specifier
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-realize-package-specifier
Version:        3.0.0
Release:        0%{?dist}
Summary:        Like npm-package-arg, but more so, producing full file paths and differentiating local tar and directory sources.
Url:            https://github.com/npm/realize-package-specifier
Source0:        http://registry.npmjs.org/realize-package-specifier/-/realize-package-specifier-3.0.0.tgz
License:        ISC

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires: npm(require-inject)
BuildRequires: npm(tap)
%endif

BuildRequires: npm(dezalgo)
BuildRequires: npm(npm-package-arg)

Requires: npm(dezalgo)
Requires: npm(npm-package-arg)

%description
Like npm-package-arg, but more so, producing full file paths and differentiating local tar and directory sources.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/realize-package-specifier

cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/realize-package-specifier

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/realize-package-specifier

%doc README.md
#%license LICENSE

%changelog
